<template>
  <div id="content-wrap">
    <div class="actions">
      <div id="buttons">
        <button id="new"
        v-on:click="$emit('change-component', 'Country'); $emit('object',0)">
          Create New
        </button>
      </div>
    </div>
    <div class="table-wrap">
      <table class="tab">
        <thead>
          <tr>
            <th>Country</th>
            <th>Alfa-2</th>
            <th></th>
          </tr>
        </thead>
        <tbody>
          <tr v-for="country in countries" v-bind:key="country.id" v-bind:item="country">
            <td>{{country.country}}</td>
            <td>{{country.alfa2}}</td>
            <td>
              <button v-on:click="modify(country.id)">Modify</button>
              <button v-on:click="deleteObj(country)">Delete</button>
            </td>
          </tr>
        </tbody>
      </table>
    </div>
  </div>
</template>

<script>
import axios from 'axios';

export default {
  name: 'Countries',
  data() {
    return {
      countries: [],
    };
  },
  mounted() {
    this.get();
  },
  methods: {
    get() {
      axios.get('http://localhost:4000/api/countries').then(
        (result) => {
          this.countries = result.data;
        },
      ).catch((error) => {
        console.log(error);
      });
    },
    modify(country) {
      this.$emit('change-component', 'Country');
      this.$emit('object', country);
      console.log(country);
    },
    deleteObj(country) {
      const url = `http://localhost:4000/api/countries/${country.id}`;
      axios.delete(url).then(
        (result) => {
          if (result) { this.get(); }
        },
      ).catch((error) => {
        console.log(error);
      });
    },
  },
};
</script>

<style scoped>
@import "../CSS/Managment.css";
</style>
